<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:gravity="center"
    android:orientation="vertical"
    app:cardBackgroundColor="@color/material_white"
    app:cardElevation="2dp"
    app:cardUseCompatPadding="true"
    app:contentPadding="2dp">

    <LinearLayout
        android:id="@+id/mainView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:minHeight="@dimen/buttonHeightLarge"
        android:orientation="horizontal">

        <FrameLayout
            android:layout_width="wrap_content"
            android:layout_height="match_parent">


            <ImageView
                android:id="@+id/imageView"
                android:layout_width="60dp"
                android:layout_height="60dp"
                android:layout_margin="@dimen/seekbarsize"
                android:background="@drawable/custom_circle_blue"
                android:contentDescription="@string/prompt_password"
                android:padding="@dimen/textSizeSmall"
                android:scaleType="fitCenter"
                android:src="@mipmap/notification" />

            <TextView
                android:id="@+id/unreadStatus"
                android:layout_width="@dimen/seekbarsize"
                android:layout_height="@dimen/seekbarsize"
                android:layout_gravity="right|bottom"
                android:layout_margin="@dimen/textSizeSmall"
                android:background="@drawable/unread_circle" />
        </FrameLayout>


        <LinearLayout
            android:layout_width="0dip"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:layout_gravity="center_vertical"
            android:orientation="vertical"
            android:paddingRight="@dimen/seekbarsize_small">

            <TextView
                android:id="@+id/publishedDate"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center|right"
                android:maxLines="1"
                android:singleLine="true"
                android:textColor="@color/material_black"
                android:textSize="10dp"
                android:textStyle="italic" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="horizontal">
                <LinearLayout
                    android:layout_width="0dip"
                    android:layout_weight="0.9"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                <TextView
                    android:id="@+id/title"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:ellipsize="marquee"
                    android:gravity="center|left"
                    android:marqueeRepeatLimit="marquee_forever"
                    android:scrollHorizontally="true"
                    android:singleLine="true"
                    android:textColor="@color/material_black"
                    android:textSize="@dimen/textSizeSmall"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="@dimen/buttonHeightLarge"
                    android:layout_height="2dp"
                    android:layout_gravity="left"
                    android:background="@color/btn_bg_color"
                    android:gravity="left" />

                <TextView
                    android:id="@+id/description"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:ellipsize="end"
                    android:gravity="left"
                    android:maxLines="3"
                    android:textColor="@color/material_black"
                    android:textSize="@dimen/textSizeToSmall" />
                </LinearLayout>
                <ImageView
                    android:id="@+id/right_arrow"
                    android:layout_width="0dip"
                    android:layout_height="@dimen/buttonHeight"
                    android:layout_margin="@dimen/seekbarsize"
                    android:layout_toRightOf="@id/text_title"
                    android:layout_weight="0.15"
                    android:contentDescription="@string/app_name"
                    android:padding="@dimen/seekbarsize"
                    android:scaleType="fitCenter"
                    android:src="@mipmap/right_arrow" />
            </LinearLayout>

        </LinearLayout>

    </LinearLayout>

</androidx.cardview.widget.CardView>
